s3ql (2.33+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 31 Dec 2018 10:24:44 +0000

s3ql (2.33+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 28 Dec 2018 20:04:28 +0000

s3ql (2.32+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 06 Nov 2018 19:40:48 +0000

s3ql (2.30+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/rules: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Nikolaus Rath ]
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 02 Sep 2018 12:48:32 +0100

s3ql (2.29+dfsg-2) unstable; urgency=medium

  * No-change re-upload. Previous version somehow didn't make it
    into the archive.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 05 Aug 2018 11:13:54 +0100

s3ql (2.29+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 21 Jul 2018 12:10:18 +0100

s3ql (2.28+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 14 Jun 2018 12:19:15 +0100

s3ql (2.27.1+dfsg-1) unstable; urgency=medium

  * Sporadic test failure in t3_verify.py fixed upstream. Closes: #851375.
  * new upstream version

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 09 Jun 2018 12:05:27 +0100

s3ql (2.26+dfsg-4) unstable; urgency=medium

  * Disable http + https proxy in tests (previously only the http_proxy
    environment variable has unset).

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 07 Apr 2018 20:05:17 +0100

s3ql (2.26+dfsg-3) unstable; urgency=medium

  * Disable proxy in integration tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 04 Apr 2018 14:55:21 +0100

s3ql (2.26+dfsg-2) unstable; urgency=medium

  * Drop pytest-catchlog dependency in favor of pytest >= 3.3. Closes:
    #894717.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 04 Apr 2018 09:51:16 +0100

s3ql (2.26+dfsg-1) unstable; urgency=medium

  * Added Depends: procps. Closes: #887375.
  * New upstream version.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 04 Mar 2018 11:39:35 +0000

s3ql (2.25+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 05 Jan 2018 12:05:16 +0100

s3ql (2.24+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fixed bogus test failure. Closes: #877204
  * Bumped standards version to 4.1.1
  * Added support for 'nodoc' build option.
  * Marked s3ql-doc as Multi-Arch: same
  * Changed package section from extra to optional

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 04 Nov 2017 14:04:39 +0000

s3ql (2.23+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 19 Aug 2017 14:38:51 +0200

s3ql (2.22+dfsg-1) unstable; urgency=medium

  * Dropped jessie compatibility patches.
  * New upstream release

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 23 Jun 2017 09:53:10 -0700

s3ql (2.21+dfsg-3) unstable; urgency=medium

  * Expect test_verify() to fail during build. There is a race
    condition in the test that still needs to be fixed, but this
    should not cause the build to fail. Closes: #851375.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 17 Jan 2017 20:35:21 -0800

s3ql (2.21+dfsg-2) unstable; urgency=medium

  * Bumped python3-pytest dependency to minimum version required
    by upstream.
  * Added build-dependency on procps. Closes: #850458

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 06 Jan 2017 11:29:24 -0800

s3ql (2.21+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 28 Oct 2016 14:07:23 -0700

s3ql (2.20+dfsg-1) unstable; urgency=medium

  * new upstream version

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 24 Aug 2016 12:10:58 -0700

s3ql (2.19+dfsg-1) unstable; urgency=medium

  * new upstream version
  * Show full pdflatex output during build
  * Added missing texlive-generic-extra dependency.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 27 Jun 2016 12:00:39 -0700

s3ql (2.18+dfsg-1) unstable; urgency=medium

  * Enable debug logging for s3ql.verify when running unit tests during
    build.
  * Moved packaging to git and collab-maint on alioth.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 29 Apr 2016 19:08:53 -0700

s3ql (2.17.1+hg2+dfsg-3) unstable; urgency=medium

  * Adding python3-pytest-catchlog dependency for unit tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 13 Mar 2016 14:39:48 -0700

s3ql (2.17.1+hg2+dfsg-2) unstable; urgency=medium

  * Fixed up broken rebase of patches/support_jessie_upgrade.diff

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 11 Mar 2016 19:19:12 -0800

s3ql (2.17.1+hg2+dfsg-1) unstable; urgency=medium

  * Added forgotten NEWS entry for 2.17+dfsg-1
  * New release from upstream repository snapshot.
  * Run tests with (some) debug logging enabled to debug sporadic test
    failure of tests/t3_verify.py.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 11 Mar 2016 16:18:25 -0800

s3ql (2.17.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 09 Mar 2016 14:33:57 -0800

s3ql (2.17+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 09 Mar 2016 11:13:23 -0800

s3ql (2.16+dfsg-1) unstable; urgency=medium

  * Added dependency on python3-systemd.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 23 Feb 2016 15:44:51 -0800

s3ql (2.15+dfsg-1) unstable; urgency=medium

  * Add Breaks and Replaces to prevent upgrade problems due to the
    extension for the debug interpreter having moved from s3ql-dbg to s3ql in
    2.14+dfsg-1. Closes: #799261.
  * New upstream release.
  * Dropped fix_setattr_test.diff (fixed upstream).
  * Added use_cython3.diff and ignore_cython_warnings.diff to handle
    Debian-specific Cython peculiarities.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 25 Sep 2015 13:50:51 -0700

s3ql (2.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/check_dev_fuse_perms.diff (integrated upstream).
  * Added /usr/bin/s3ql_remove_objects
  * Added build-depends on fuse, rsync and psmisc (required for unit tests).
  * Python extensions compiled for the debugging interpreter are now
    actually shipped in the s3ql-dbg package (rather than the s3ql
    package).
  * Added patches/support_jessie_upgrade.diff (upstream dropped
    compatibility with jessie's S3QL version).
  * Added patches/fix_setattr_test.diff to un-break a unit test
    that dependended on undocumented behavior in python3-llfuse (which changed
    recently). Closes: #798596.
  * Added lost changelog entry for 2.11.1+dfsg-2. Closes: #798595.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 10 Sep 2015 13:40:00 -0700

s3ql (2.13+dfsg-2) unstable; urgency=medium

  * Tighten dependency on python3-dugong, python3-apsw, and
    python3-llfuse. Closes: #778487.

  * Added missing build-dependency on python3-llfuse-dbg.
    Closes: #790525.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 01 Jul 2015 02:33:26 -0800

s3ql (2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/fix_test_check_objects_temp.diff (fixed upstream).
  * Dropped patches/debug_test_thread_hang.diff (fixed upstream).
  * Fixed a bug that caused fsck.s3ql to either abort with a
    "apsw.ConstraintError" or to incorrectly consider storage objects
    as missing when the connection to remote server is interrupted
    while retrieving the object list. Closes: #771452.
  * Fixed a problem where mount.s3ql would crash when unmouting the
    file system because it could not delete the cache directory. This
    could happen when the file system was not unmounted cleanly, but
    fsck.s3ql was then run on a different system (or using a different
    cache directory). Closes: #772052.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 31 Jan 2015 20:16:12 -0800

s3ql (2.12+dfsg-2) experimental; urgency=medium

  * Added patches/debug_test_thread_hang.diff to debug occasional test
    failures on buildds.
  * Added patches/fix_test_check_objects_temp.diff (cherry-picked
    upstream) to fix occasional test failures during build.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 10 Nov 2014 18:58:07 -0800

s3ql (2.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6 (no changes needed).
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 09 Nov 2014 15:05:23 -0800

s3ql (2.11.1+dfsg-2) unstable; urgency=medium

  * Fixed a problem with fsck.s3ql aborting with an
    "apsw.ConstraintError" or incorrectly considering storage
    objects as missing when the connection to remote server is
    interrupted. Closes: #771452.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 02 Dec 2014 21:44:27 -0800

s3ql (2.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches/cve_2014_0485.diff, integrated upstream.
  * Dropped patches/fix_failsafe_test_race.diff, integrated upstream.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 04 Sep 2014 18:28:41 -0700

s3ql (2.10.1+dfsg-4) unstable; urgency=high

  * SECURITY UPDATE for CVE-2014-0485.

    A remote code execution vulnerability was fixed.

    An attacker with control over the communication with the storage
    backend or the ability to manipulate the data stored in the
    backend was able to trigger execution of arbitrary code by
    mount.s3ql, fsck.s3ql, mkfs.s3ql, s3qladm and s3ql_verify. Both
    encrypted and unencrypted file systems were vulnerable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 25 Aug 2014 17:21:09 -0700

s3ql (2.10.1+dfsg-3) unstable; urgency=medium

  * Added fix_failsafe_test_race.diff. Closes: #758013.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 20 Aug 2014 17:30:03 -0700

s3ql (2.10.1+dfsg-2) unstable; urgency=medium

  * Bumped python3-dugong dependency to 3.3 to fix build failures
    on kFreeBSD (and presumably also similar problems when running
    the software on both kFreeBSD and Linux).

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 06 Aug 2014 18:55:19 -0700

s3ql (2.10.1+dfsg-1) unstable; urgency=medium

  * Made system clock resolution heuristic in unittests even more
    conservative, there are still occasional build failures on i386.
  * New upstream release.
  * Dropped patches (integrated upstream):
    - C_locale_compat.diff
    - kfreebsd_compat.diff
    - sphinx_build_locale_fix.diff
  * Bumped python3-dugong dependency to 3.2
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 03 Aug 2014 20:49:06 -0700

s3ql (2.9+dfsg-2) unstable; urgency=medium

  * Cherry-picked kFreeBSD compatibility patch from upstream
    (Closes: #755358)
  * Cherry-picked upstream patch to support testing with C
    locale.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 19 Jul 2014 20:24:55 -0700

s3ql (2.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix automatic self test when running as root (Closes: #745476)
  * Dropped patches/sphinx-1.1.1-compat.diff (no longer required now
    that Sphinx 1.2 is in unstable).
  * Added patches/sphinx_build_locale_fix.diff (cherry-picked from upstream)
    to make documentation build work independent of system locale.
  * Added patches/check_dev_fuse_perms.diff to avoid running FUSE
    tests on continuous integration servers where /dev/fuse is
    not accessible.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 28 Jun 2014 12:30:45 -0700

s3ql (2.8.1+dfsg-1) unstable; urgency=low

  * Updated upstream project URL.
  * Added upstream PGP key and configured watch file for automatic
    verification.
  * New upstream release.
  * Do not crash when building with snapshot Cython versions
    (Closes: #742760)
  * Update Standards-Version to 3.9.5 (no changes needed).
  * Repackaged to exclude minified javascript files.
  * Upload sponsored by Petter Reinholdtsen.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 14 Mar 2014 19:11:06 -0700

s3ql (2.7-1) unstable; urgency=low

  * New upstream release.
  * Estimate clock resolution more conservatively when running unit
    tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 16 Dec 2013 20:21:41 -0800

s3ql (2.5-2) unstable; urgency=low

  * Do not try to write logfiles into $HOME when running self tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 20 Oct 2013 11:38:32 -0700

s3ql (2.5-1) unstable; urgency=low

  * Added patch for Sphinx 1.1.3 compatibility.
  * New upstream release.
  * Fixed autopkgtests (this time a missing PYTHONPATH, LP: #1223514).

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 27 Aug 2013 20:17:06 -0700

s3ql (1.16-2) unstable; urgency=low

  * Updated uploader email address.
  * Removed obsolete lintian override.
  * Extended clean target, re-build should now work.
  * Updated package description.
  * Bump build dependency on Cython to 0.17
  * Fixed autopkgtests to use installed S3QL.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 18 Jul 2013 21:41:29 -0700

s3ql (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 12 Jul 2013 21:11:01 -0700

s3ql (1.15-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Nikolaus Rath ]
  * New upstream release.
  * Added autopkgtest data.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 15 Jun 2013 15:06:37 -0700

s3ql (1.14-1) unstable; urgency=low

  * Update standards version to 3.9.4, no other changes
    required.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 09 Apr 2013 19:08:15 -0700

s3ql (1.13.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed metadata corruption with recent eglibc (triggered test
    failure on build). Closes: #701350

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 23 Feb 2013 17:46:56 -0800

s3ql (1.12-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper compatibility level to 9 to get support for
    dpkg-buildflags.
  * Added lintian override for hardening-no-fortify-functions,
    this is a false positive.
  * Added patches/buildd-fix.diff to prevent errors when trying
    to write logs during autobuilding.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 05 Sep 2012 20:22:18 -0400

s3ql (1.11.1-2) unstable; urgency=low

  * Add dependency on python-pkg-resources. Closes: 672916.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 15 May 2012 18:41:38 -0400

s3ql (1.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 04 May 2012 11:12:29 -0400

s3ql (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 29 Apr 2012 15:22:56 -0400

s3ql (1.10-1) unstable; urgency=low

  * Bumped standards to 3.9.3, no changes required.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 24 Feb 2012 21:51:01 -0500

s3ql (1.9-1) unstable; urgency=low

  * Depend on python >= 2.7 (now required by upstream). Closes: #653641.
  * New upstream release.
  * Dropped obsolete argparse.diff patch.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 21 Jan 2012 13:38:25 -0500

s3ql (1.8.1-1) unstable; urgency=low

  * Add versioned depends on python-argparse. Closes: #652751.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 05 Dec 2011 20:36:44 -0500

s3ql (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 27 Nov 2011 14:40:58 -0500

s3ql (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 22 Nov 2011 11:04:35 -0500

s3ql (1.5-1) unstable; urgency=low

  * New upstream release.
  * Don't crash when using Google Storage backend. Closes: #646232.
  * Use dh_sphinxdoc.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 24 Oct 2011 19:16:12 -0400

s3ql (1.4-1) unstable; urgency=low

  * New upstream release.

  * Depend on fuse | fusebsd. Closes: #634337.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 06 Oct 2011 11:20:25 -0400

s3ql (1.2-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-llfuse >= 0.36, API was changed in non-backwards
    compatible way.
  * Depend on Python >= 2.6.6, previous versions unusable due to
    Python bug 6312.
  * Don't ship our own version of underscore JavaScript library, depend
    on libjs-underscore package instead.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 28 Sep 2011 21:00:04 -0400

s3ql (1.0.1-2) unstable; urgency=low

  * Install pcp as parallel-cp to avoid file name conflict with
    pcp ("Performance Co-Pilot") package. Closes: #632473.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 03 Jul 2011 10:44:00 -0400

s3ql (1.0.1-1) unstable; urgency=low

  * First official debian release. Closes: #626651

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 01 Jul 2011 14:02:17 -0400
